Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556428 - saga: FTBFS in F28
Summary: saga: FTBFS in F28
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: saga
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:51 UTC by Fedora Release Engineering
Modified: 2018-07-06 17:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 17:48:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-05-28 15:46 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2018-05-28 15:46 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 15:47 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-14 23:51:49 UTC
Your package saga failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24894599

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Jitka Plesnikova 2018-03-15 07:27:00 UTC
It also failed in Fedora rawhide.

The build error is:

checking for python2.7... (cached) /usr/bin/python
checking for a version of Python >= '2.1.0'... DEPRECATION WARNING: python2 invoked with /usr/bin/python.
    Use /usr/bin/python3 or /usr/bin/python2
    /usr/bin/python will be removed or switched to Python 3 in the future.
    If you cannot make the switch now, please follow instructions at https://fedoraproject.org/wiki/Changes/Avoid_usr_bin_python_in_RPM_Build#Quick_Opt-Out
yes
checking for the distutils Python package... no
configure: error: cannot import Python module "distutils".
Please check your Python installation. The error was:
DEPRECATION WARNING: python2 invoked with /usr/bin/python.
    Use /usr/bin/python3 or /usr/bin/python2
    /usr/bin/python will be removed or switched to Python 3 in the future.
    If you cannot make the switch now, please follow instructions at https://fedoraproject.org/wiki/Changes/Avoid_usr_bin_python_in_RPM_Build#Quick_Opt-Out


Dependency changes from last successful build could be found here:
https://apps.fedoraproject.org/koschei/build/4362899

Comment 2 Fedora Release Engineering 2018-05-28 15:46:50 UTC
Created attachment 1443419 [details]
build.log

Comment 3 Fedora Release Engineering 2018-05-28 15:46:58 UTC
Created attachment 1443420 [details]
root.log

Comment 4 Fedora Release Engineering 2018-05-28 15:47:04 UTC
Created attachment 1443421 [details]
state.log

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-06 17:48:56 UTC
A build was successfull: saga-2.2.7-9.fc28 [1].
No update was found in bodhi. Closing the bug nonetheless.

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=959212


Note You need to log in before you can comment on or make changes to this bug.